[ Maverik Level 2 typedefs ]

#

MAV_clipPlane

## Summary

Clip plane.

## Syntax

    typedef struct {
      MAV_vector norm;
      float d;
    } MAV_clipPlane;

## Description

A `MAV_clipPlane` is used to define a clipping plane, and consists of the plane normal, `norm`, and a value, `d`, which satisfies the equation `d = norm.pt`, where `pt` is any point on the plane.

The positive half space of the clipping plane defines which objects are to be removed from consideration.

Back to the index page.